checkRequire("Lua_FactionDefine");
Lua_FactionBaseListItem = class("Lua_FactionBaseListItem",Lua_ListCell)
function Lua_FactionBaseListItem:ctor(p)
	self:superCall("ctor", p, "FactionBaseListItem_skin");
end
function Lua_FactionBaseListItem:buildShowItem()
	self:superCall("buildShowItem");
end
function Lua_FactionBaseListItem:setData(data)
	self.data= data; -- Lua_FactionMemberVo
	self.playerName.text = data.roleName;
	self.junxian.text = Lua_JunXianUtil.getJunxian(data.title);

	self.playerLevel.text = tostring(data.roleLvl);
	self.factionPosition.text = Lua_FactionDefine.getPositionNameByPos(data.leaguePos);
end

function Lua_FactionBaseListItem:onPlayerSoundClick()
	if tostring(self.data.roleId) == tostring(DataCenter.roleData.roleId) then
		return;
	end
	local menuTypes = Array();
	menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_CHECK_INFO,self.data.roleId));
	menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_REQ_JOIN_TEAM,self.data.roleId));
	menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_INVITE_TEAM,self.data.roleId));
	menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_ADD_FRIEND, self.data.roleId));
	Lua_WindowUtil.openWin("Lua_MenuPopListWindow",WinParam.ACTION_OPEN,menuTypes);
end

function Lua_FactionBaseListItem:onSelectionChange(val)
	self:superCall("onSelectionChange",val);
	if self.itemBg ~= nil then
		if val == true then
			self.itemBg:setAltas("factionWindow","ui_gangs_bg_05");
		else
			self.itemBg:setAltas("factionWindow","ui_gangs_bg_04");
		end
	end
end