checkRequire("Lua_FactionWhareItemListContainer");
Lua_FactionDonateEquipWindow = class("Lua_FactionDonateEquipWindow", Lua_ThirdSizeWindow);
function Lua_FactionDonateEquipWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(121021));

	self.windowName = "Lua_FactionDonateEquipWindow";
	self.skinName = "FactionDonateEquipWindow_skin";
	self.w = 600;
	self.h = 406;
end

function Lua_FactionDonateEquipWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleBg:setLocation(0, 195);
	self.titleNameText:setLocation(0, 194);
	self.btnClose:setLocation(267, 197);
	DataCenter.packData.showFactionDonateEquPanel = true;

	local bagItems = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getBagAllData();
	local equNum = 0;
	for i = 1, bagItems:getSize() do
		-- 只显示非绑装备，并且有积分的
		if bagItems[i].type == 1 and bagItems[i].bind == 0 and bagItems[i].leagueScore ~= nil and
			bagItems[i].leagueScore > 0 and bagItems[i].star > 0 then
			equNum = equNum + 1;
		end
	end
	
	local pageNum = math.ceil(equNum / 15);
	self.depotPackItem = Lua_FactionWhareItemListContainer.new(self.content, Lua_PackData.FACTION_DONATE_BAG, 0, -178.5, pageNum);
	self.depotPackItem:setLocation(0, 18, 0);

	self.donateBtn:addClickFuntion(self, self.onDonateClick);

	self:addLuaEvent("PACK_UPDATE", self, self.onPackUpdate);
end

function Lua_FactionDonateEquipWindow:onPackUpdate(backType)
	if backType == Lua_PackData.BAG_PACK then
		self.depotPackItem:updateData();	
	end
end

function Lua_FactionDonateEquipWindow:dispose()
	DataCenter.factionData:clearDonateEquipList();
	DataCenter.packData.showFactionDonateEquPanel = false;
	self:superCall("dispose");
end

function Lua_FactionDonateEquipWindow:onDonateClick()
	Lua_ProxyManager.getProxy("Lua_FactionProxy"):sDonatePackEqu();
end