FactionAutoDestructionWindow = class("FactionAutoDestructionWindow", Lua_ThirdSizeWindow);
function FactionAutoDestructionWindow:ctor()
    self:superCall("ctor",false,3500,true,"自動銷毀");
	self.w = 598;
	self.h = 406;
    self.windowName = "FactionAutoDestructionWindow";
    self.skinName = "FactionAutoDestructionWindow_skin";
	self.isClickClose = false;
	self.isModel = true;
end
function FactionAutoDestructionWindow:buildShowItem()
    self:superCall("buildShowItem");

	self.titleBg:setLocation(0,195)
	self.titleNameText:setLocation(0,194)
	self.btnClose:setLocation(267,197)

    self.agreeBtn:addClickFuntion(self,self.onaAgreeBtnClick);
    self.refusedBtn:addClickFuntion(self,self.onRefusedBtnClick);
    self.subBtn1:addClickFuntion(self,self.onSubBtn1Click);
    self.subBtn2:addClickFuntion(self,self.onSubBtn2Click);
    self.subBtn3:addClickFuntion(self,self.onSubBtn3Click);
    self:addLuaEvent("DRAGDOWN_CLICK", self, self.dragDownClick);
    self:addLuaEvent("AUTO_DESTRUTION_STATE", self, self.initSelectedIndexList);
    self.infoTxt.text=LanUtil.getValue(121075);

    sendMsg(10100640);
end

function FactionAutoDestructionWindow:onaAgreeBtnClick()
	DataCenter.factionData.autoDestructionState = not DataCenter.factionData.autoDestructionState;
	local state = DataCenter.factionData.autoDestructionState;
    local cmd = ProtoPublic_pb.Proto10100641();
	if state==true then
		self.agreeBtn.label=LanUtil.getValue(121074);
    	cmd.state = 1;
	else
		self.agreeBtn.label=LanUtil.getValue(121073);
		cmd.state = 0;
	end
    sendMsg(10100641, cmd);
	Lua_MsgUtil.callFunc("SET_FACTION_AUTO");
	self:hide();
end

function FactionAutoDestructionWindow:onRefusedBtnClick()
	local color=0;
	local grade=0;
	local star=0;
	if self.dragDownList[1].selectedIndex == 1 then
		color=0;
	else
		color=self.dragDownList[1].selectedIndex+1;
	end
	if self.dragDownList[2].selectedIndex == 0 then
		grade=0;
	else
		grade=self.dragDownList[2].selectedIndex+2;
	end
	if self.dragDownList[3].selectedIndex == 1 then
		star=0;
	else
		star=self.dragDownList[3].selectedIndex-1;
	end
	local cmd = ProtoPublic_pb.Proto10100639();
	cmd.color=color;
	cmd.grade=grade;
	cmd.star=star;
	sendMsg(10100639, cmd);
end

function FactionAutoDestructionWindow:initSelectedIndexList()
	self.curDragDownIndex = 1;
	self.dragDownList = Array();

	local state = DataCenter.factionData.autoDestructionState;
	if state==true then
		self.agreeBtn.label=LanUtil.getValue(121074);
	else
		self.agreeBtn.label=LanUtil.getValue(121073);
	end

	local defaultIndex = DataCenter.factionData.autoDestructionList;
	if defaultIndex[1] == 0 then
		defaultIndex[1]=1;
	else
		defaultIndex[1]=defaultIndex[1]-1
	end
	if defaultIndex[2] == 0 then
		defaultIndex[2]=1;
	else
		defaultIndex[2]=defaultIndex[2]-2
	end
	if defaultIndex[3] == 0 then
		defaultIndex[3]=1;
	else
		defaultIndex[3]=defaultIndex[3]+1;
	end

	self.dragDownList:add({selectedIndex = defaultIndex[1],ruleTxt = self.ruleTxt1,len = 3});
	self.dragDownList:add({selectedIndex = defaultIndex[2],ruleTxt = self.ruleTxt2,len = 12});
	self.dragDownList:add({selectedIndex = defaultIndex[3],ruleTxt = self.ruleTxt3,len = 3});

	local colorStr = string.split(LanUtil.getValue(121070),",");
	if(self.dragDownList[1].ruleTxtList == nil) then
		local ruleTxtList = Array();
		ruleTxtList:add(LanUtil.getValue(121068));
		for i=1,3 do
			ruleTxtList:add(colorStr[i]..LanUtil.getValue(121072));
		end
		self.dragDownList[1].ruleTxtList = ruleTxtList;
	end

	local numStr = string.split(LanUtil.getValue(121069),",");
	local str = string.split(LanUtil.getValue(121071),",")[1];
	if(self.dragDownList[2].ruleTxtList == nil) then
		local ruleTxtList = Array();
		ruleTxtList:add(LanUtil.getValue(121068));
		for i=3,14 do
			ruleTxtList:add(numStr[i]..str..LanUtil.getValue(121072));
		end
		self.dragDownList[2].ruleTxtList = ruleTxtList;
	end

	local str = string.split(LanUtil.getValue(121071),",")[2];
	if(self.dragDownList[3].ruleTxtList == nil) then
		local ruleTxtList = Array();
		ruleTxtList:add(LanUtil.getValue(121068));
		for i=1,2 do
			ruleTxtList:add(numStr[i]..str..LanUtil.getValue(121072));
		end
		self.dragDownList[3].ruleTxtList = ruleTxtList;
	end

	for i=1,self.dragDownList:getSize() do
		self.dragDownList[i].ruleTxt.uiwidget.text = self.dragDownList[i].ruleTxtList[defaultIndex[i]];
	end
end

function FactionAutoDestructionWindow:onSubBtn1Click()
	self.curDragDownIndex =1;
	local dragData = {};

	dragData.datas = Array();
	dragData.datas = self.dragDownList[1].ruleTxtList;
	dragData.offsetX = -184;
	dragData.offsetY = -111;
	dragData.width = 195;
	dragData.height = 163;
	dragData.callBackOwner = self;
	dragData.callBack = self.onDragDownCallBack;
	dragData.selected = self.dragDownList[1].selectedIndex;

	Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);
end

function FactionAutoDestructionWindow:onSubBtn2Click()
	self.curDragDownIndex =2;
	local dragData = {};
	dragData.datas = Array();
	dragData.datas = self.dragDownList[2].ruleTxtList
	dragData.offsetX = -2;
	dragData.offsetY = -111;
	dragData.width = 195;
	dragData.height = 163;
	dragData.callBackOwner = self;
	dragData.callBack = self.onDragDownCallBack;
	dragData.selected = self.dragDownList[2].selectedIndex;

	Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);
end

function FactionAutoDestructionWindow:onSubBtn3Click()
	self.curDragDownIndex =3;
	local dragData = {};
	dragData.datas = Array();
	dragData.datas = self.dragDownList[3].ruleTxtList
	dragData.offsetX = 170;
	dragData.offsetY = -111;
	dragData.width = 195;
	dragData.height = 163;
	dragData.callBackOwner = self;
	dragData.callBack = self.onDragDownCallBack;
	dragData.selected = self.dragDownList[3].selectedIndex;

	Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);
end

function FactionAutoDestructionWindow:dragDownClick(index)
	self.dragDownList[self.curDragDownIndex].selectedIndex = index;

	self:updateRuleTxt(index);
end

function FactionAutoDestructionWindow:updateRuleTxt(index)
	local dragDown = self.dragDownList[self.curDragDownIndex];
	dragDown.ruleTxt.uiwidget.text = dragDown.ruleTxtList[index];
end