checkRequire("Lua_JunXianUtil");
checkRequire("Lua_ThingDefine");
checkRequire("Lua_FactionApplyVo");
Lua_FactionApplyListItem = class("Lua_FactionApplyListItem",Lua_ListCell)
function Lua_FactionApplyListItem:ctor(p)
	self:superCall("ctor", p, "FactionApplyListItem_skin");
end
function Lua_FactionApplyListItem:buildShowItem()
	self:superCall("buildShowItem");
	self.refuseBtn:addClickFuntion(self,self.onRefuseClick);
	self.agreeBtn:addClickFuntion(self,self.onAgreeClick);
end
function Lua_FactionApplyListItem:onRefuseClick()
	local tarr = Array();
	tarr:add(self.data.roleIndex);
	DataCenter.factionData:sRefuseApply(tarr);
end
function Lua_FactionApplyListItem:onAgreeClick()
	local tarr = Array();
	tarr:add(self.data.roleIndex);
	DataCenter.factionData:sAgreeApply(tarr);
end
function Lua_FactionApplyListItem:setData(data)
	self.data= data; -- Lua_FactionApplyVo
	self.nameTxt.text = data.roleName;
	if data.label > 0  then
		local junxian = Lua_JunXianUtil.getJunxian(data.label);
		
		if junxian ~= nil then
			self.chenghaoTxt.text = junxian;	
		end
	else
		self.chenghaoTxt.text ="";
	end
	self.levelTxt.text = tostring(data.roleLvl);
	self.careerTxt.text = Lua_ThingDefine.getJobName(data.roleCareer,data.profession);
	self.powerTxt.text = tostring(data.roleForce);
	
end