Lua_FactionAutoAcceptWindow = class("Lua_FactionAutoAcceptWindow",Lua_ThirdSizeWindow)
function Lua_FactionAutoAcceptWindow:ctor()
	self:superCall("ctor",false,3500,true,LanUtil.getValue(121018));
	self.w = 602;
	self.h = 414;
	self.windowName = "Lua_FactionAutoAcceptWindow";
	self.skinName = "FactionAutoAcceptWindow_skin";
	self.isClickClose = false;
	self.isModel = true;
end
function Lua_FactionAutoAcceptWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.powerInput.validation = "int";
	self.powerInput.text = tostring(DataCenter.factionData.myFactionInfo.acceptForce);
	self.changeBtn:addClickFuntion(self,self.onChangeBtnClick);
	self.openBtn:addClickFuntion(self,self.onOpenBtnClick);
	self.autoFlag = DataCenter.factionData.myFactionInfo.autoAccept;
	self.openBtn.label = self.autoFlag == 1 and LanUtil.getValue(107486) or LanUtil.getValue(107485);
end
function Lua_FactionAutoAcceptWindow:onChangeBtnClick()
	
	self:sendAuto(self.autoFlag);
end

function Lua_FactionAutoAcceptWindow:onOpenBtnClick()
	self.autoFlag = self.autoFlag== 1 and 0 or 1;
	self:sendAuto(self.autoFlag);
	self.openBtn.label = self.autoFlag == 1 and LanUtil.getValue(107486) or LanUtil.getValue(107485);
end
function Lua_FactionAutoAcceptWindow:sendAuto(autoFlag)
	local autoPower = tonumber(self.powerInput.text);
	if isNumber(autoPower) and autoPower > 0 then
		if self.msg == nil then
			self.msg = getProtoMsg("Proto10100637");
		end
		self.msg.auto_accept = autoFlag;
		self.msg.accept_force = autoPower;		
	else
		OperateAlert.show(LanUtil.getValue(121017));
	end
end

function Lua_FactionAutoAcceptWindow:hide()
	if self.msg ~= nil then
		sendMsg(10100637,self.msg);
		DataCenter.factionData.myFactionInfo.autoAccept = self.msg.auto_accept;
		DataCenter.factionData.myFactionInfo.acceptForce = self.msg.accept_force;
		self.msg = nil;
		
	end
	Lua_MsgUtil.callFunc("FACTION_AUTO_ACCEPT_STATE_UPDATE");
	self:superCall("hide");
	
end