checkRequire("Lua_FactionWhareItemListContainer");
checkRequire("Lua_FactionDepotItems");
Lua_FactionDepotWindow = class("Lua_FactionDepotWindow",Lua_SecondSizeWindow)
function Lua_FactionDepotWindow:ctor()
	self:superCall("ctor");
	 self.isModel = true;
    self.windowName = "Lua_FactionDepotWindow";
    self.skinName = "FactionDepotWindow_skin";
	self.titleText = LanUtil.getValue(121023);
	DataCenter.factionData.isBat = false;
	 --
end
function Lua_FactionDepotWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	--self.qualityTxtBg.clickScale = false;
	self.qualityTxtBg:addClickFuntion(self,self.onOrderSelectQuality);
	self.arrowBtn:addClickFuntion(self,self.onOrderSelectQuality);

	self.orderTxtBg:addClickFuntion(self,self.onSelectQuality);
	self.orderarrowBtn:addClickFuntion(self,self.onSelectQuality);

	self.ruleBtn:addClickFuntion(self,self.onRuleClick);
	self.helpTxt.text = LanUtil.getValue(121065);
	self.helpTxt:addClickFuntion(self,self.onRuleClick);
	self.dragList = Lua_DragList.new(self.content,1,Vector4(-271,0,536,412));
	self.dragList:setLocation(0, -23, 0);
	self.dragList:setListCell(FactionDepotLogItem, 60, 536, 1);
	
	local pageNum = DataCenter.factionHuntingUtil.storeCapcity / 20;
	self.depotPackItem = Lua_FactionWhareItemListContainer.new(self.content, Lua_PackData.FACTION_WHARE, 34, -208.5, pageNum);
    self.depotPackItem:setLocation(257,14,0);
	self:addLuaEvent("PACK_UPDATE", self, self.onPackUpdate);


	self.donateBtn:addClickFuntion(self,self.onDonateClick);

	self.isShowBox = false;
	self.showCheckBox:addBoxChange(self,self.onShowBoxClick);	

	--self.qualityLb:setEnable(false);
	--self.qualityTxt:setEnable(false);
	--self.qualityTxtBg:setEnable(false);
	--self.arrowBtn:setEnable(false);
	--self.autoCheckBox:addBoxChange(self, self.onAutoBoxClick);

	
	self.orderArr = Array();
	local numStr = string.split(LanUtil.getValue(110507),",");
	local str = string.split(LanUtil.getValue(121071),",")[1];
	DataCenter.factionData.career = -1;
	for i = 5, 16 do
        self.orderArr:add(numStr[i]..str);
    end
    self:setQualityType(13,4);
	if DataCenter.factionData.myFactionInfo.leaguePos < Lua_FactionDefine.FACTION_POS_DEPUTY_LEADER then
		
		self.cancelBtn:setEnable(false);
		self.batchBtn:setEnable(false);
		self.destoryBtn:setEnable(false);
		self.autoCheckBox:setEnable(false);
	else
		--帮主、副帮主才有权利销毁仓库道具
		self:setBatchMode(false);
		self.cancelBtn:addClickFuntion(self,self.onCancelClick);
		self.batchBtn:addClickFuntion(self,self.onBatchClick);
		self.destoryBtn:addClickFuntion(self,self.onDestoryClick);
		self.autoCheckBox:addBoxChange(self, self.onAutoBoxClick);
	end
	

--	self:onUpdateFactionDepotItem(nil);
	self:addLuaEvent("FACTION_DEPOT_LOG_UPDATE",self,self.FactionLogUpdate);
	self:addLuaEvent("SET_FACTION_AUTO", self, self.setFactionAuto);
	sendMsg(10100630,nil);
	DataCenter.packData.showWharePanel = true;
	
end
function Lua_FactionDepotWindow:setFactionAuto()
	self.autoState = DataCenter.factionData.autoDestructionState;
	self.autoCheckBox.seleted = self.autoState;
end
function Lua_FactionDepotWindow:onAutoBoxClick(state)
	self.autoCheckBox.seleted = self.autoState;
	Lua_WindowUtil.openWin("FactionAutoDestructionWindow");
end

function Lua_FactionDepotWindow:onShowBoxClick(state)
	
	if self.isBatchMode == true then
		self.showCheckBox.seleted = false;
		DataCenter.factionData.career = -1;
		OperateAlert.show(LanUtil.getValue(121081))
	else
		if self.isShowBox  == false then
			DataCenter.factionData.career = DataCenter.roleData.career;
			self.isShowBox = true;
		else
			self.isShowBox = false;
			DataCenter.factionData.career = -1;
		end
		self.showCheckBox.seleted = self.isShowBox;
		self:setQualityType(self.orderType,self.qualityType);
	end
	
end

function Lua_FactionDepotWindow:onRuleClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow",nil,LanUtil.getValue(121034));
end
function Lua_FactionDepotWindow:FactionLogUpdate()
	self.autoState = DataCenter.factionData.autoDestructionState;
	self.autoCheckBox.seleted = self.autoState;
	self.dragList:setLuaArrayData(DataCenter.factionData.factionDepotLogList, false);
	self.scoreTxt.text = tostring(DataCenter.factionData.myFactionInfo.deportScore);
end
function Lua_FactionDepotWindow:onPackUpdate(o)
	if o == Lua_PackData.FACTION_WHARE then
		local whareData = DataCenter.packData:getBagType(Lua_PackData.FACTION_WHARE);
		if whareData ~= nil then
			whareData:clearSaleList();
		end
		self.depotPackItem:updateData();	
	end
end
function Lua_FactionDepotWindow:setQualityType(order,quality)	
	self.qualityType = quality;
	self.orderType = order;

	local orderLvl = -1
	
	if quality == 1 then--红色装备
		self.orderTxt.text = LanUtil.getValue(121032);
		DataCenter.factionData.qualityType = 5;
	elseif quality == 2 then--橙色
		self.orderTxt.text = LanUtil.getValue(121024);
		DataCenter.factionData.qualityType = 4;
	elseif quality == 3 then--紫色
		self.orderTxt.text = LanUtil.getValue(121025);
		DataCenter.factionData.qualityType = 3;	
	elseif quality == 4 then--无
		self.orderTxt.text = LanUtil.getValue(121079);
		DataCenter.factionData.qualityType = -1;
	end

	local len = self.orderArr:getSize();
	for i=1,len do
		if i == order then
			self.qualityTxt.text = self.orderArr[i];
			DataCenter.factionData.orderType = self.orderArr[i];
		end
	end
	if order > len then
		self.qualityTxt.text = LanUtil.getValue(121078);
		DataCenter.factionData.orderType = -1;
	end

	local factionWhareData =  DataCenter.packData:getBagType(Lua_PackData.FACTION_WHARE);
	local saleDic = factionWhareData.saleDic;
	local arr = Array();
	local saleNum = 0;
	for k,v in pairs(saleDic) do
		local index = tonumber(k);
		local itemData = factionWhareData:getItemByIndex(index);
		if itemData~= nil and itemData.type == 1 then
			arr:add(index);
		end
	end
	local len = arr:getSize();
	for i=1,len do
		saleDic[tostring(arr[i])] = nil;
	end

	local equList = factionWhareData:getItemsBySubType({Lua_PackTypeDefine.EQUIP});
	len = equList:getSize();
	for i=1,len do
		local itemData = equList[i];
		if  DataCenter.factionData.qualityType == itemData.color and        
		  tostring(itemData.rtDesc) == tostring(DataCenter.factionData.orderType) then
			saleDic[tostring(itemData.index)] = itemData.count;
		end
		if DataCenter.factionData.qualityType == itemData.color and  DataCenter.factionData.orderType == -1 then
			saleDic[tostring(itemData.index)] = itemData.count;
		end
	end
	
	Lua_MsgUtil.callFunc("FACTION_WHARE_UPDATE_DESTORY_ITEM");
end
--[[function Lua_FactionDepotWindow:onUpdateFactionDepotItem(val)
	local bagData = DataCenter.packData:getBagType(Lua_PackData.FACTION_WHARE);
	local itemIndexList = bagData.itemIndexList;
	local arr = Array();
--	local saleNum = 0;
	for k,v in pairs(itemIndexList) do
		local index = tonumber(k);
		local itemData = bagData:getItemByIndex(index);
		arr:add({id=itemData.id, index=itemData.index, bind=itemData.bind, count=itemData.count});
--		saleNum = saleNum + itemData.sysPrice * v;
	end
	self.itemsObj:updateItems(arr);
end--]]
function Lua_FactionDepotWindow:onSelectQuality(go)
	local dragData = {};
	dragData.datas = Array();
	dragData.datas:add(LanUtil.getValue(121032));
	dragData.datas:add(LanUtil.getValue(121024));
	dragData.datas:add(LanUtil.getValue(121025));
	dragData.datas:add(LanUtil.getValue(121079));
	dragData.offsetX = 468;
	dragData.offsetY = 96;
	dragData.width = 144;
	dragData.itemWidth = 132;
	dragData.callBackOwner = self;
	dragData.callBack = self.onDragDownCallBack;
	dragData.selected = self.qualityType; 
	Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);
	
end

function Lua_FactionDepotWindow:onOrderSelectQuality(go)
	self.orderArr = Array();
	local dragData = {};
	dragData.datas = Array();
	local numStr = string.split(LanUtil.getValue(110507),",");
	local str = string.split(LanUtil.getValue(121071),",")[1];
	for i = 5, 16 do
        dragData.datas:add(numStr[i]..str);
        self.orderArr:add(numStr[i]..str);
    end
    dragData.datas:add(LanUtil.getValue(121078));
	dragData.offsetX = 284;
	dragData.offsetY = 96;
	dragData.width = 144;
	dragData.itemWidth = 132;
	dragData.callBackOwner = self;
	dragData.callBack = self.onOrderDragDownCallBack;
	dragData.selected = self.orderType;
	Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);
	
end

function Lua_FactionDepotWindow:onOrderDragDownCallBack(val)
	--if self.isBatchMode == true then
	-- print("onSelectQuality",val)
	self:setQualityType(val,self.qualityType);
	--end
end

function Lua_FactionDepotWindow:onDragDownCallBack(val)
	--if self.isBatchMode == true then
	-- print("onSelectQuality",val)
		self:setQualityType(self.orderType,val);
	--end
end

function Lua_FactionDepotWindow:setBatchMode(val)
	DataCenter.factionData.factionDepotBatchMode = val;
	self.isBatchMode = val;
	Lua_MsgUtil.callFunc("FACTION_DEPOT_CHANGE_BATCH_MODE",self.isBatchMode);
	if val == true then
		--self.qualityLb:setEnable(true);
		-- self.qualityTxt:setEnable(true);
		-- self.qualityTxtBg:setEnable(true);
		-- self.arrowBtn:setEnable(true);
		
		self.cancelBtn:setEnable(true);
		self.batchBtn:setEnable(false);
		self.autoCheckBox:setEnable(false);
		self.destoryBtn:setEnable(true);
		self.donateBtn:setEnable(false);
		self.helpTxt.text = "";
	else
		self.helpTxt.text = LanUtil.getValue(121065);
		--self.qualityLb:setEnable(false);
		-- self.qualityTxt:setEnable(false);
		-- self.qualityTxtBg:setEnable(false);
		-- self.arrowBtn:setEnable(false);
		
		self.cancelBtn:setEnable(false);
		self.batchBtn:setEnable(true);
		self.autoCheckBox:setEnable(true);
		self.destoryBtn:setEnable(false);
		self.donateBtn:setEnable(true);
	end
end

function Lua_FactionDepotWindow:onDonateClick()
	Lua_WindowUtil.openWin("Lua_FactionDonateEquipWindow");
end
function Lua_FactionDepotWindow:onCancelClick()
	DataCenter.factionData.isBat = false;
	self:setQualityType(13,4)
	self:setBatchMode(false);
	self.isShowBox = false;

end
function Lua_FactionDepotWindow:onBatchClick()
	-- self:setQualityType(4)
	DataCenter.factionData.isBat = true;
	self.showCheckBox.seleted =false;
	self:setQualityType(13,4);
	self:setBatchMode(true);

end
function Lua_FactionDepotWindow:onDestoryClick()
	local destoryDic = {};
	local factionWhareData =  DataCenter.packData:getBagType(Lua_PackData.FACTION_WHARE);
	if factionWhareData.saleDic ~= nil then
		destoryDic = factionWhareData.saleDic;
	end
	local len = 0;
	for k,v in pairs(destoryDic) do
		len= len +1;
	end
	if len >0 then
		local tipData = { };
		tipData.des = LanUtil.getValue(121033)
		tipData.owner = self;
		tipData.type = 1;
		tipData.subFun = self.doDestory;
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
	end
	
	
end

function Lua_FactionDepotWindow:doDestory()
	local destoryDic = {};
	local factionWhareData =  DataCenter.packData:getBagType(Lua_PackData.FACTION_WHARE);
	if factionWhareData.saleDic ~= nil then
		destoryDic = factionWhareData.saleDic;
	end

	local msg = getProtoMsg("Proto10100632");	
	for k,v in pairs(destoryDic) do
		local index = tonumber(k);
		msg.goods_list:append(index);
		
	end
	sendMsg(10100632,msg);
	--self:setQualityType(self.orderType,self.qualityType);


end

function Lua_FactionDepotWindow:dispose()
	self:superCall("dispose");
	DataCenter.packData.showWharePanel = false;
end








FactionDepotLogItem = class("FactionDepotLogItem",Lua_ListCell)
function FactionDepotLogItem:ctor(p)
	self:superCall("ctor", p, "FactionDepotLogItem_skin");
	
end
function FactionDepotLogItem:buildShowItem()
	self:superCall("buildShowItem");
end

function FactionDepotLogItem:setData(val)
	self.data = val;
	
	self.toolItem =val.item;
	
	self.timeTxt.text = TimeTransform.getFormatNormalTime2(tostring(self.data.logTick));
	self.contentTxt.text = self.data.logContent;
end 

function FactionDepotLogItem:onPlayerSoundClick()
  	self:checkUrlClick();
end

function FactionDepotLogItem:checkUrlClick()
	local urlStr = self.contentTxt:getUrlByMousePos()
	if urlStr ~= nil then
		Lua_ChatUtil.urlClickHandle(urlStr,self.toolItem);
	end
end

